package hu.elte.korszeru;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class Feladat1Map extends MapReduceBase implements Mapper<LongWritable, Text, Text, IntWritable> {

	@Override
	public void map(LongWritable key, Text value,
			OutputCollector<Text, IntWritable> context, Reporter arg3)
			throws IOException {
		
		String[] s = value.toString().split(",");
		
		if (!"".equals(s[6]) && !"".equals(s[7])) {
			context.collect(new Text("user"),new IntWritable(1));
		}
		
		/*
		 * tweet
		RUN_ID					0
		TWEET_ID				1
		CREATED_AT				2
		UTC_OFFSET				3	
		USER_ID					4
		PLACE_ID				5
		LON						6
		LAT						7
		CX
		CY
		CZ
		HTM_ID
		IN_REPLY_TO_TWEET_ID
		IN_REPLY_TO_USER_ID
		POSSIBLY_SENSITIVE
		POSSIBLY_SENSITIVE_EDITABLE
		RETWEET_COUNT
		TEXT
		TRUNCATED
		LANG
		LANG_WORD_COUNT
		LANG_GUESS1
		LANG_GUESS2
		UNIQUE_ID
		*/
	}

}
