package hu.elte.korszeru;

import java.io.IOException;
import java.util.Iterator;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reducer;
import org.apache.hadoop.mapred.Reporter;

public class Feladat2Reducer extends MapReduceBase implements Reducer<Text, Text, Text, Text> {

	@Override
	public void reduce(Text key, Iterator<Text> values,
			OutputCollector<Text, Text> context, Reporter arg3)
			throws IOException {
		StringBuilder s = new StringBuilder("");
		while (values.hasNext()) {
		    s.append(values.next().toString()).append(", ");
		}
        context.collect(key, new Text(s.toString()));		
	}

}
